// video-test styles

.gvideo {
    min-height: 100vh;
    .video {
        &_container{
            height: 100%;
            left: 0;
            position: fixed;
            top: 0;
            width: 100%;
            z-index: -1;

            video {
                height: 100%;
                left: 0;
                object-fit: cover;
                // opacity: 0;
                position: absolute;
                top: 0;
                transform: translate3d(0, 0, 0);
                // visibility: hidden;
                width: 100%;
                z-index: 0;
            }
        }

        &_fallback {
            height: 100%;
            left: 0;
            position: fixed;
            top: 0;
            width: 100%;
            z-index: -1;

            img {
                height: 100%;
                left: 0;
                object-fit: cover;
                opacity: 0;
                display: none;
                position: absolute;
                top: 0;
                transform: translate3d(0, 0, 0);
                transition: all 0.35s ease-in-out;
                width: 100%;
                z-index: 0;
            }
        }

        &_content {
            &--item {
                height: 100vh;
                position: relative;
                z-index: 99;
            }
        }
    }
}